$-button-shadow-inner: inset 0 0 10px 0 rgba(255,255,255,.3);
$-button-shadow-hover-value: 0 5px 25px 0;

.button {
  & + .el-button.button {
    margin-left: 15px;
  }
  &.el-button {
    font-family: $-font-regular;
    font-size: $--button-font-size;
    padding: $--button-padding-vertical $--button-padding-horizontal;
    letter-spacing: 1px;
    transition: box-shadow .12s ease-in-out, background-color .1s ease-in-out, transform .12s ease-in-out;
  }
  &.el-button{
    padding: $--button-padding-vertical $--button-padding-horizontal;
    border-radius: $--button-border-radius;
  }
  &.el-button--medium,
  &.el-button--medium.is-round {
    font-size: $-font-size-sm;
    padding: $-button-padding-vertical-md $-button-padding-horizontal-md;
    letter-spacing: .6px;
  }
  &.el-button.el-button--primary {
    border: none;
    background-color: $--color-primary;
    &:hover,
    &:focus {
      @include button-hover($--color-primary);
    }
    &:active {
      @include button-active($--color-primary);
    }
  }
  &.el-button.el-button--warning {
    border: none;
    background-color: $--color-warning;
    &:hover,
    &:focus {
      @include button-hover($--color-warning);
    }
    &:active {
      @include button-active($--color-warning);
    }
  }
  &.el-button.el-button--danger {
    border: none;
    background-color: $--color-danger;
    &:hover,
    &:focus {
      @include button-hover($--color-danger);
    }
    &:active {
      @include button-active($--color-danger);
    }
  }
  &.el-button.el-button--success {
    border: none;
    background-color: $--color-success;
    &:hover,
    &:focus {
      @include button-hover($--color-success);
    }
    &:active {
      @include button-active($--color-success);
    }
  }
  &.el-button.el-button--info {
    border: none;
    background-color: $--color-gray;
    &:hover,
    &:focus {
      @include button-hover($--color-gray);
    }
    &:active {
      @include button-active($--color-gray);
    }
  }
  &.el-button.is-disabled {
    @include button-hover($--color-disable);
    transform: translateY(0);
    &:hover,
    &:focus {
      @include button-hover($--color-disable);
      transform: translateY(0);
    }
    &:active {
      @include button-hover($--color-disable);
      transform: translateY(0);
      box-shadow: none;
    }
  }
}
